## GimpBrushSelectButton

GimpBrushSelectButton

## Functions

GtkWidget * | gimp_brush_select_button_new ()
const gchar * | gimp_brush_select_button_get_brush ()
void | gimp_brush_select_button_set_brush ()

## Properties

gchar * | brush-name | Read / Write
gdouble | brush-opacity | Read / Write
gint | brush-paint-mode | Read / Write
gint | brush-spacing | Read / Write
gchar * | title | Read / Write / Construct Only

## Signals

void | brush-set | Run First

## Types and Values

| GimpBrushSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpBrushSelectButton

## Implemented Interfaces

GimpBrushSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_brush_select_button_new ()

    GtkWidget *
    gimp_brush_select_button_new (const gchar *title,
                                  const gchar *brush_name,
                                  gdouble opacity,
                                  gint spacing,
                                  GimpLayerModeEffects paint_mode);

Since: GIMP 2.4

### gimp_brush_select_button_get_brush ()

    const  gchar *
    gimp_brush_select_button_get_brush (GimpBrushSelectButton *button,
                                        gdouble *opacity,
                                        gint *spacing,
                                        GimpLayerModeEffects *paint_mode);

Since: GIMP 2.4

### gimp_brush_select_button_set_brush ()

    void
    gimp_brush_select_button_set_brush (GimpBrushSelectButton *button,
                                        const gchar *brush_name,
                                        gdouble opacity,
                                        gint spacing,
                                        GimpLayerModeEffects paint_mode);

Since: GIMP 2.4

## Types and Values

### GimpBrushSelectButton

    typedef struct _GimpBrushSelectButton GimpBrushSelectButton;

## Property Details

### The `“brush-name”` property

      “brush-name”               gchar *

The name of the currently selected brush.

Flags: Read / Write

Default value: NULL

Since: GIMP 2.4

### The `“brush-opacity”` property

      “brush-opacity”            gdouble

The opacity of the currently selected brush.

Flags: Read / Write

Allowed values: [-1,100]

Default value: -1

### The `“brush-paint-mode”` property

      “brush-paint-mode”         gint

The paint mode of the currently selected brush.

Flags: Read / Write

Allowed values: [-1,22]

Default value: -1

### The `“brush-spacing”` property

      “brush-spacing”            gint

The spacing of the currently selected brush.

Flags: Read / Write

Allowed values: [-2147483647,1000]

Default value: -1

### The `“title”` property

      “title”                    gchar *

The title to be used for the brush selection popup dialog.

Flags: Read / Write / Construct Only

Default value: "Brush Selection"

Since: GIMP 2.4

## Signal Details

### The `“brush-set”` signal

    void
    user_function (GimpBrushSelectButton *widget,
                   gchar                 *brush_name,
                   gdouble                opacity,
                   gint                   spacing,
                   gint                   paint_mode,
                   gint                   width,
                   gint                   height,
                   gpointer               mask_data,
                   gboolean               dialog_closing,
                   gpointer               user_data)

Flags: Run First

Since: GIMP 2.4